package cn.com.qmth.examcloud.core.questions.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.enums.DataRuleType;
import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.api.commons.security.bean.UserDataRule;
import cn.com.qmth.examcloud.core.questions.base.bean.randompaper.RandomPaperListVo;
import cn.com.qmth.examcloud.core.questions.base.bean.randompaper.RandomPaperQuery;
import cn.com.qmth.examcloud.core.questions.service.RandomPaperService;
import cn.com.qmth.examcloud.web.security.DataRule;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("${api_cqb}/randompaper")
public class RandomPaperController extends ControllerSupport {
	
	@Autowired
	private RandomPaperService randomPaperService;

	@DataRule(type = DataRuleType.COURSE)
	@ApiOperation("获取分页")
	@PostMapping("page")
	public Page<RandomPaperListVo> getPage(RandomPaperQuery req) {
		User user = getAccessUser();
        UserDataRule ud = super.getUserDataRule(DataRuleType.COURSE);
        req.setUd(ud);
        req.setRootOrgId(user.getRootOrgId());
		return randomPaperService.getPage(req);
	}
}
